
Summary:        epsonscan2 - Simple Image Acquisition
Name:           epsonscan2
Version:        6.6.40.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphics
Source0:       %{name}-%{version}.src.tar.xz
Source1:       epsonscan2.conf
URL:              http://support.epson.net/linux/src/scanner/epsonscan2/

BuildRequires: cmake
BuildRequires: lib64boost-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: ninja


%description
This software provides applications to easily turn hard-copy
documents and imagery into formats that are more amenable to
computer processing.

Included are a native driver for a number of EPSON scanners
and a compatibility driver to interface with software built
around the SANE standard.

%files
%{_sysconfdir}
%{_bindir}
%{_libdir}
%{_datadir}
/lib/udev/rules.d/60-epsonscan2.rules

%prep
%setup -qn   %{name}-%{version}

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja 
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

#install desktopfile
install -Dm 0755 desktop/rpm/x86_64/epsonscan2.desktop %buildroot/%{_datadir}/applications/epsonscan2.desktop

#install library helper file
install -Dm 0644 %SOURCE1 %buildroot/%{_sysconfdir}/ld.so.conf.d/epsonscan2.conf

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sun Feb 20 2022 tex - 6.40.0-1pclos2022
- create pkg
